"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Results {
    constructor() {
        this.results = {};
        this.testStatus = {};
        this.results = {};
        this.summary = {
            numFailedTests: 0,
            numPassedTests: 0,
            numPassedTestSuites: 0,
            numFailedTestSuites: 0
        };
    }
    setTestStart(path) {
        if (!this.testStatus[path]) {
            this.testStatus[path] = {
                isExecuting: false,
                containsFailure: false
            };
        }
        this.testStatus[path].isExecuting = true;
    }
    setTestReport(path, report) {
        this.results[path] = report;
        this.testStatus[path].isExecuting = false;
        if (report.numFailingTests > 0) {
            this.testStatus[path].containsFailure = true;
        }
        else {
            this.testStatus[path].containsFailure = false;
        }
    }
    getResult(path) {
        return this.results[path] || null;
    }
    setSummary(passedTests, failedTests, numPassedTestSuites, numFailedTestSuites) {
        this.summary = {
            numFailedTests: failedTests,
            numPassedTests: passedTests,
            numPassedTestSuites,
            numFailedTestSuites
        };
    }
    getSummary() {
        return this.summary;
    }
    getFailedTests() {
        return Object.entries(this.testStatus)
            .filter(([path, status]) => {
            return status.containsFailure;
        })
            .map(([path]) => path);
    }
    getExecutingTests() {
        return Object.entries(this.testStatus)
            .filter(([path, status]) => {
            return status.isExecuting === true;
        })
            .map(([path]) => path);
    }
}
exports.default = Results;
//# sourceMappingURL=results.js.map